com.ihr.xbrl.database.pagination

## Class EmptyPageScroll

- java.lang.Object
- - com.ihr.xbrl.database.pagination.EmptyPageScroll

- All Implemented Interfaces:
    PageScroll
  Direct Known Subclasses:
    IndexPageScroll

      public class EmptyPageScroll
      extends java.lang.Object
      implements PageScroll

  The Class EmptyPageScroll.

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.database.pagination.PageScroll

      `BOLD_PATTERN, LINK_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyPageScroll()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `firstResult()` First result.
    `java.io.Serializable` | `getCurrentIdentifier()` Gets the current identifier.
    `int` | `getLimit()` Gets the limit.
    `java.io.Serializable` | `getNextIdentifier()` Gets the next identifier.
    `java.io.Serializable` | `getPreviousIdentifier()` Gets the previous identifier.
    `java.lang.String` | `getTaskbar()` Gets the taskbar.
    `int` | `getTotalCount()` Gets the total count.
    `boolean` | `hasNext()` Checks for next.
    `boolean` | `hasPrevious()` Checks for previous.
    `boolean` | `hasTotalCount()` Checks for total count.
    `boolean` | `isFirst()` Checks if is first.
    `boolean` | `isLast()` Checks if is last.
    `boolean` | `isLimitable()` Checks if is limitable.
    `boolean` | `isUsePageScroll()` Checks if is use page scroll.
    `java.lang.String` | `orderBy()` Order by.
    `java.lang.Object` | `propertiesBean()` Properties bean.
    `java.lang.String` | `query()` Query.
    `void` | `setClass(java.lang.Class<?> clazz)` Sets the class.
    `void` | `setCurrentIdentifier(java.lang.String stringIdentifier)` Sets the current identifier.
    `void` | `setTotalCount(int totalCount)` Sets the total count.
    `org.hibernate.transform.ResultTransformer` | `transformer()` Transformer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyPageScroll

          public EmptyPageScroll()

  - ### Method Detail

    - #### getCurrentIdentifier

          public java.io.Serializable getCurrentIdentifier()

      Description copied from interface: `PageScroll`
      Gets the current identifier.
      Specified by:
        `getCurrentIdentifier` in interface `PageScroll`
      Returns:
        the current identifier

    - #### setClass

          public void setClass(java.lang.Class<?> clazz)

      Description copied from interface: `PageScroll`
      Sets the class.
      Specified by:
        `setClass` in interface `PageScroll`
      Parameters:
        `clazz` - the new class

    - #### setCurrentIdentifier

          public void setCurrentIdentifier(java.lang.String stringIdentifier)

      Description copied from interface: `PageScroll`
      Sets the current identifier.
      Specified by:
        `setCurrentIdentifier` in interface `PageScroll`
      Parameters:
        `stringIdentifier` - the new current identifier

    - #### getPreviousIdentifier

          public java.io.Serializable getPreviousIdentifier()

      Description copied from interface: `PageScroll`
      Gets the previous identifier.
      Specified by:
        `getPreviousIdentifier` in interface `PageScroll`
      Returns:
        the previous identifier

    - #### getNextIdentifier

          public java.io.Serializable getNextIdentifier()

      Description copied from interface: `PageScroll`
      Gets the next identifier.
      Specified by:
        `getNextIdentifier` in interface `PageScroll`
      Returns:
        the next identifier

    - #### firstResult

          public int firstResult()

      Description copied from interface: `PageScroll`
      First result.
      Specified by:
        `firstResult` in interface `PageScroll`
      Returns:
        the int

    - #### getLimit

          public int getLimit()

      Description copied from interface: `PageScroll`
      Gets the limit.
      Specified by:
        `getLimit` in interface `PageScroll`
      Returns:
        the limit

    - #### hasTotalCount

          public boolean hasTotalCount()

      Description copied from interface: `PageScroll`
      Checks for total count.
      Specified by:
        `hasTotalCount` in interface `PageScroll`
      Returns:
        true, if successful

    - #### getTotalCount

          public int getTotalCount()

      Description copied from interface: `PageScroll`
      Gets the total count.
      Specified by:
        `getTotalCount` in interface `PageScroll`
      Returns:
        the total count

    - #### setTotalCount

          public void setTotalCount(int totalCount)

      Description copied from interface: `PageScroll`
      Sets the total count.
      Specified by:
        `setTotalCount` in interface `PageScroll`
      Parameters:
        `totalCount` - the new total count

    - #### isUsePageScroll

          public boolean isUsePageScroll()

      Description copied from interface: `PageScroll`
      Checks if is use page scroll.
      Specified by:
        `isUsePageScroll` in interface `PageScroll`
      Returns:
        true, if is use page scroll

    - #### hasPrevious

          public boolean hasPrevious()

      Description copied from interface: `PageScroll`
      Checks for previous.
      Specified by:
        `hasPrevious` in interface `PageScroll`
      Returns:
        true, if successful

    - #### hasNext

          public boolean hasNext()

      Description copied from interface: `PageScroll`
      Checks for next.
      Specified by:
        `hasNext` in interface `PageScroll`
      Returns:
        true, if successful

    - #### isFirst

          public boolean isFirst()

      Description copied from interface: `PageScroll`
      Checks if is first.
      Specified by:
        `isFirst` in interface `PageScroll`
      Returns:
        true, if is first

    - #### isLast

          public boolean isLast()

      Description copied from interface: `PageScroll`
      Checks if is last.
      Specified by:
        `isLast` in interface `PageScroll`
      Returns:
        true, if is last

    - #### getTaskbar

          public java.lang.String getTaskbar()

      Description copied from interface: `PageScroll`
      Gets the taskbar.
      Specified by:
        `getTaskbar` in interface `PageScroll`
      Returns:
        the taskbar

    - #### isLimitable

          public boolean isLimitable()

      Description copied from interface: `PageScroll`
      Checks if is limitable.
      Specified by:
        `isLimitable` in interface `PageScroll`
      Returns:
        true, if is limitable

    - #### query

          public java.lang.String query()

      Description copied from interface: `PageScroll`
      Query.
      Specified by:
        `query` in interface `PageScroll`
      Returns:
        the string

    - #### propertiesBean

          public java.lang.Object propertiesBean()

      Description copied from interface: `PageScroll`
      Properties bean.
      Specified by:
        `propertiesBean` in interface `PageScroll`
      Returns:
        the object

    - #### orderBy

          public java.lang.String orderBy()

      Description copied from interface: `PageScroll`
      Order by.
      Specified by:
        `orderBy` in interface `PageScroll`
      Returns:
        the string

    - #### transformer

          public org.hibernate.transform.ResultTransformer transformer()

      Description copied from interface: `PageScroll`
      Transformer.
      Specified by:
        `transformer` in interface `PageScroll`
      Returns:
        the result transformer